import { api, downloadFile, createApiUrl} from '~/utils/axios';


                       /**
                        * 下载产品类型语言(副表)模板
                        * @param {Object} data
                        * @return {Promise} api
                        */
                       export function downloadTemplate(data) {
                           downloadFile(createApiUrl('Products.ProductTypeLang/downloadTemplate'), data);
                       }
                       
                       /**
                        * 导入产品类型语言(副表)
                        * @param {Object} data
                        * @return {Promise} api
                        */
                       export const importExcel = createApiUrl('Products.ProductTypeLang/importExcel');
                       
                       /**
                       * 导出产品类型语言(副表)
                       * @param {Object} data
                       * @return {Promise} api
                       */
                       export function exportExcel(data) {
                           downloadFile(createApiUrl('Products.ProductTypeLang/exportExcel'), data);
                       }
                       







/**
 * 获取产品类型多语言列表
 * @param {Object} data
 * @return {Promise} api
 */
export function getProductTypeLangList(data) {
  return api.post('Products.ProductTypeLang/getProductTypeLangList', data);
}

/**
 * 删除产品类型多语言
 * @param {Object} data
 * @return {Promise} api
 */
export function deleteProductTypeLang(data) {
  return api.post('Products.ProductTypeLang/deleteProductTypeLang', data, {
    isTransformResponse: true,
    isShowSuccessMessage: true,
    errorMessageText: '删除失败'
  });
}

/**
 * 添加产品类型多语言
 * @param {Object} data
 * @return {Promise} api
 */
export function addProductTypeLang(data) {
  return api.post('Products.ProductTypeLang/addProductTypeLang', data, {
    isTransformResponse: true,
    isShowSuccessMessage: true,
    errorMessageText: '添加失败'
  });
}
/**
 * 编辑产品类型多语言
 * @param {Object} data
 * @return {Promise} api
 */
export function editProductTypeLang(data) {
  return api.post('Products.ProductTypeLang/editProductTypeLang', data, {
    isTransformResponse: true,
    isShowSuccessMessage: true,
    errorMessageText: '编辑失败'
  });
}
